using System;
using System.Text;
using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing
{
    internal class MockUsbDeviceConnection : ITestableUsbDeviceConnection
    {
        public MockUsbDeviceConnection()
        {
        }

        public bool ClaimInterface(ITestableUsbInterface intf, bool force)
        {
            return true;
        }

        public int BulkTransfer(ITestableUsbEndpoint endpoint, byte[] buffer, int length, int timeout)
        {
            if (endpoint.Direction == UsbAddressing.In)
            {
                const string toSend = "Device1,123123,Version 1.0, Option1:1:0:100,Option2:1:0:100,Option3:1:0:100;Device2,122123,Version 1.0, Option1:1:0:100,Option2:1:0:100,Option3:1:0:100;Device3,112323,Version 1.0, Option1:1:0:100,Option2:1:0:100,Option3:1:0:100;";
                var result = Encoding.Unicode.GetBytes(toSend);
                result.CopyTo(buffer, 0);
            }
            else
            {
                var chars = new char[buffer.Length / sizeof(char)];
                Buffer.BlockCopy(buffer, 0, chars, 0, buffer.Length);
                Console.WriteLine(new string(chars));
            }
            return 1;
        }

        public bool ReleaseInterface(ITestableUsbInterface intf)
        {
            return true;
        }
    }
}