using Android.Hardware.Usb;

namespace Master.AndroidCode.Testing
{
    class TestableUsbDeviceConnection : ITestableUsbDeviceConnection
    {
        private readonly UsbDeviceConnection _connection;

        public TestableUsbDeviceConnection(UsbDeviceConnection connection)
        {
            _connection = connection;
        }

        public bool ReleaseInterface(ITestableUsbInterface intf)
        {
            return _connection.ReleaseInterface(intf.Interface);
        }

        public int BulkTransfer(ITestableUsbEndpoint endpoint, byte[] buffer, int length, int timeout)
        {
            return _connection.BulkTransfer(endpoint.Endpoint, buffer, length, timeout);
        }

        public bool ClaimInterface(ITestableUsbInterface intf, bool force)
        {
            return _connection.ClaimInterface(intf.Interface, force);
        }
    }
}