using System.Collections.Generic;
using Android.Hardware.Usb;
using Java.IO;

namespace Master.AndroidCode.Testing
{
    class TestableUsbManager : ITestableUsbManager
    {
        private readonly UsbManager _manager;

        public TestableUsbManager(UsbManager manager)
        {
            _manager = manager;
        }

        public IDictionary<string, ITestableUsbDevice> DeviceList
        {
            get
            {
                IDictionary<string, ITestableUsbDevice> returnList = new Dictionary<string, ITestableUsbDevice>();
                foreach (var d in _manager.DeviceList)
                {
                    returnList.Add(d.Key, new TestableUsbDevice(d.Value));
                }
                return returnList;
            }
        }

        public ITestableUsbDeviceConnection OpenDevice(ITestableUsbDevice device)
        {
            return new TestableUsbDeviceConnection(_manager.OpenDevice(device.Device));
        }

        public UsbAccessory[] GetAccessoryList()
        {
            return _manager.GetAccessoryList();
        }
    }
}