using System.Collections.Generic;

namespace Master.Core    
{
    public interface IPedal
	{
		string Name { get; set; }
        string Id { get; set; }
        string Version { get; }
		SerializableDictionary<string, Option> Options { get; set; }

        void SetOption (string optionName, int value);
        void IncreaseOption(string option);
	    void DecreaseOption(string option);
        List<Preset> GetPresets();
        void ApplyPreset(string presetId);
        void SaveToPresets(string presetName);
        bool RemoveFromPresets(string presetId);
	}
}

