﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using Master.AndroidCode.Testing;
using Master.Core;
using NUnit.Framework;

namespace UnitTests
{
	[TestFixture]
	public class TestsSample
	{
		[SetUp]
		public void Setup ()
		{
		}

		[TearDown]
		public void Tear ()
		{
		}

		[Test]
		public void SimpleSave()
		{
		    var controller = new ControllerMock();
		    StorageManager.Save(controller.GetConnectedDevices(), "testSave");
		    var list = StorageManager.Load();
            Assert.True(list.ContainsKey("testSave"));
            List<IPedal> pedals;
		    list.TryGetValue("testSave", out pedals);
		    Debug.Assert(pedals != null, "pedals != null");
		    foreach (var pedal in pedals)
		    {
		        Assert.True(controller.GetDeviceById(pedal.Id).Equals(pedal));
		    }
		}

	}
}

